/**
 * Hlavní semestrální práce z KIV/VSP
 * (c) 2006 - 2007 Ivan Habernal
 * e-mail: habernal@students.zcu.cz
 */
package cz.habi.vsp.sem.tests;

import static org.junit.Assert.*;
import junit.framework.JUnit4TestAdapter;

import org.junit.Test;

import cz.habi.vsp.sem.network.CrossingTarget;
import cz.habi.vsp.sem.network.FlowCrossing;
import cz.habi.vsp.sem.network.RequestAcceptor;
import cz.habi.vsp.sem.network.RequestAcceptorHelper;

/**
 * @author habi
 *
 */
public class NetworkElementsTest {
	
	@Test
	public final void testFlowCrossing1() {
		RequestAcceptor ra = new RequestAcceptorHelper();    
		FlowCrossing crossing = new FlowCrossing(1);
		
		try {
			crossing.addDispatcherTarget(new CrossingTarget(0.9, ra));
			fail();
		}
		catch (IllegalArgumentException ex) {
		}
	}

	public static junit.framework.Test suite() {
		return new JUnit4TestAdapter(NetworkElementsTest.class);
	}
}
